Brivio API reference
Delivery routes

Compare the own-fleet cost of a route with live courier quotes for the same parcels: verdict, saving, hybrid split, break-even stop count and CO2. 422 when the route has no stops. Heavy rate tier. (scope: delivery:read)

GET
/delivery-routes/{id}/cost-comparison

Authorization

bearerAuth
headerAuthorizationBearer <token>

API key as Bearer token

Path Parameters

id*string

Delivery route id

Formatuuid

Query Parameters

mode?string

marginal (default) or full (adds depreciation and insurance)

Default"marginal"
Value in"marginal""full"

Response Body

OK

application/json
  1. response
data*

Own fleet vs courier for one route (F-VS). Every *Minor amount is an integer in minor units of currency.

error*null
curl -X GET "https://example.com/delivery-routes/497f6eca-6276-4993-bfeb-53cbbbba6f08/cost-comparison"
{  "data": {    "currency": "string",    "mode": "MARGINAL",    "fleetMinor": 0,    "fleetPerKmMinor": 0,    "estimatedPercent": 0,    "courierProjectedMinor": 0,    "pricedStops": 0,    "unpricedStops": 0,    "estimatedStops": 0,    "savingMinor": 0,    "verdict": "FLEET",    "breakdown": [      {        "category": "FUEL",        "amountMinor": 0      }    ],    "hybridStops": [      {        "stopId": "dd775241-8a00-4193-b07c-f3e4740fdc43",        "label": "string",        "courier": "string",        "courierMinor": 0,        "fleetMinor": 0      }    ],    "hybridSavingMinor": 0,    "breakEvenStops": 0,    "co2Grams": 0,    "senderMissing": true  },  "error": null}